Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.esf
Class SignaturePolicyId

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.asn1.esf.SignaturePolicyId

All Implemented Interfaces:
  ASN1Encodable, Encodable

public class SignaturePolicyId
extends ASN1Object

Constructor Summary
`SignaturePolicyId(ASN1ObjectIdentifier sigPolicyIdentifier, OtherHashAlgAndValue sigPolicyHash)`
`SignaturePolicyId(ASN1ObjectIdentifier sigPolicyId, OtherHashAlgAndValue sigPolicyHash, SigPolicyQualifiers sigPolicyQualifiers)`

Method Summary
`static SignaturePolicyId` | `getInstance(java.lang.Object obj)`
`OtherHashAlgAndValue` | `getSigPolicyHash()`
`ASN1ObjectIdentifier` | `getSigPolicyId()`
`SigPolicyQualifiers` | `getSigPolicyQualifiers()`
`ASN1Primitive` | `toASN1Primitive()` SignaturePolicyId ::= SEQUENCE { sigPolicyId SigPolicyId, sigPolicyHash SigPolicyHash, sigPolicyQualifiers SEQUENCE SIZE (1..MAX) OF SigPolicyQualifierInfo OPTIONAL}

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SignaturePolicyId

    public SignaturePolicyId(ASN1ObjectIdentifier sigPolicyIdentifier,
                             OtherHashAlgAndValue sigPolicyHash)

### SignaturePolicyId

    public SignaturePolicyId(ASN1ObjectIdentifier sigPolicyId,
                             OtherHashAlgAndValue sigPolicyHash,
                             SigPolicyQualifiers sigPolicyQualifiers)

Method Detail

### getInstance

    public static SignaturePolicyId getInstance(java.lang.Object obj)

### getSigPolicyId

    public ASN1ObjectIdentifier getSigPolicyId()

### getSigPolicyHash

    public OtherHashAlgAndValue getSigPolicyHash()

### getSigPolicyQualifiers

    public SigPolicyQualifiers getSigPolicyQualifiers()

### toASN1Primitive

    public ASN1Primitive toASN1Primitive()

  SignaturePolicyId ::= SEQUENCE { sigPolicyId SigPolicyId, sigPolicyHash SigPolicyHash, sigPolicyQualifiers SEQUENCE SIZE (1..MAX) OF SigPolicyQualifierInfo OPTIONAL}

  Specified by:
    `toASN1Primitive` in interface `ASN1Encodable`
  Specified by:
    `toASN1Primitive` in class `ASN1Object`
  Returns:
    a primitive representation of this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD